Bug 909852 - Updating type of a plugged nic should be blocked on the ui side
Updating type of a plugged nic should be blocked on the ui side
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity low
: ---
: 3.2.0
Assigned To: Alona Kaplan
Martin Pavlik
network
:
Depends On: 906440
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-02-11 05:00 EST by Alona Kaplan
Modified: 2016-02-10 14:59 EST (History)
10 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 906440
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11930 None None None Never

  None (edit)
Description Alona Kaplan 2013-02-11 05:00:54 EST
+++ This bug was initially created as a clone of Bug #906440 +++

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. edit a vnic
2. plug it
3. open edit vnic dialog
4. change the vnic to unplugged
5. change the type of the vnic
6. change the vnic to plugged
7. click ok
  
Actual results:
3. the type combo is disabled
4. the type combo is enabled
6. the type combo is disabled again, but contains the new value
7. CanDoAction message- Cannot edit Interface. Updating some of the properties is not supported while the interface is plugged into a running virtual machine...

Expected results:
6. the type combo is disabled again and rested to the old type value.
7. no error

Additional info:
Comment 1 Martin Pavlik 2013-02-22 03:39:07 EST
works in SF8
Comment 2 Itamar Heim 2013-06-11 04:47:03 EDT
3.2 has been released
Comment 3 Itamar Heim 2013-06-11 04:47:09 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 04:47:11 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:52:43 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:23:27 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.